Get Apps
curl --request GET \
--url https://api.us.vartiq.com/apps \
--header 'companyid: <companyid>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.us.vartiq.com/apps"
headers = {
"companyid": "<companyid>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {companyid: '<companyid>', 'x-api-key': '<api-key>'}};
fetch('https://api.us.vartiq.com/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"environment": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}Apps
Get Apps
GET
/
apps
Get Apps
Headers
string
required
The unique identifier of your company
Query Parameters
string
required
Filter apps by project ID
string
Filter apps by environment (“development” or “production”)
number
default:"10"
Maximum number of apps to return
number
default:"0"
Number of apps to skip for pagination
Response
boolean
Indicates if the request was successful
string
A message describing the result of the operation
array
Response Example
{
"success": true,
"message": "Apps retrieved successfully",
"data": [
{
"id": "app_01JT38AK6GH3VXP2PPH5BTF36X",
"name": "second app",
"description": "",
"environment": "development",
"createdAt": "2025-04-30T11:46:45.092Z",
"updatedAt": "2025-04-30T11:46:45.092Z"
},
{
"id": "app_01JSZ1B53E22QS6TA3441ZTSFS",
"name": "Production App",
"description": "Production app",
"environment": "production",
"createdAt": "2025-04-28T20:27:45.648Z",
"updatedAt": "2025-04-28T20:27:45.648Z"
}
]
}
⌘I